# kong-plugin-universal-jwt
Kong custom plugin for generating a JWT from some other auth method. It currently only applies to key auth plugin, but can be extended for others if required.

## Setting up development environment
Easiest way to setup is to run the kong vagrant VM (https://github.com/Kong/kong-vagrant)

```
# Clone the development environment
git clone https://github.com/Kong/kong-vagrant
cd kong-vagrant

# Clone Kong and checkout the version we're using
git clone https://github.com/Kong/kong
cd kong
git checkout 1.3.0
cd ..

# Clone the plugin
git clone https://github.com/localz/kong-plugin-universal-jwt kong-plugin
```

Your folder structure should look like this:
```
kong-vagrant/
└── kong
├── kong-plugin # kong-plugin-universal-jwt repository
└── ..
```

To run the tests:
```
# Spin up vagrant
KONG_VERSION=1.3.0 vagrant up
vagrant ssh

# Build Kong
cd /kong
make dev

# Tell Kong about our plugin
export KONG_CUSTOM_PLUGINS=bundled,universal-jwt

# Install the plugin
cd /kong/kong-plugin
luarocks make kong-plugin-universal-jwt-*.rockspec

# Run the tests in Kong repo first (this does some sort of setup):
cd /kong
bin/busted

# Then can run tests for the plugin:
bin/busted /kong-plugin/spec
```

## Publishing to luarocks

```
# Make sure your changes are merged into master, and then cut a new release. 
# Make sure the rockspec tag and version match your git tag
git checkout 1.0.0 # 1.0.0 is your version number

luarocks upload kong-plugin-universal-jwt-1.0.0-1.rockspec --api-key=KEY # You'll need to get an API key from luarocks
```
